Subject: Re: [PATCH v2 00/11] tests: add a bash "set -o pipefail" test mode

From: Junio C Hamano <[email-masked]>
Date: Sat, 16 Jan 2021 13:50:47 -0800

Ævar Arnfjörð Bjarmason  <[email-masked]> writes:

> An unstated aim of v1 of this series was to fix up the tests on
> vanilla bash's "set -o pipefail" enough that the test suite would have
> some failures, but wouldn't look like a complete dumpster fire.
>
> But this was confusing and relied on a side-quest to change the
> test_{must,might}_fail helpers. See
> https://lore.kernel.org/git/[email-masked]/
>
> I've now ejected all of that, in favor of just fixing some of the
> tests instead as Jeff suggested. Jeff, I added your Signed-off-by to
> 06/11 which you're mostly the author of. Please Ack that you're OK
> with that (the original diff-for-discussin didn't have a SOB).

I didn't read the last two pieces that are bash specific, but
everything else was a pleasant read.  I did have a few comments,
though.

Thanks.